#!/bin/sh

echo "You may supply a name/comment as an argument (no spaces)"

# Putting first argument ($1) in variable filename
filename=$1

backupdir='backup'

# Getting date
date=$(date '+%A.%d.%m.%g')

full_path=$backupdir'/'$date

if [ ! -d $full_path ]; then
    echo "Creating directory "$full_path
fi

mkdir -p $full_path
cd $full_path

# Getting time
time=$(date '+%H.%M')

dirName=$filename'_(kl.'$time')'

counter=1
# If you run this multiple times within 1 minute.
while [ -d $dirName ]
do
    dirName=$filename'_(kl.'$time')_'$counter
    counter=`expr $counter + 1`
done

mkdir $dirName

full_path=$full_path'/'$dirName

echo "Files will be saved in: "$full_path

cd ../../

# Place the name of all the files you want to backup before $full_path
cp C.c Python.py Java.java Assembly.s $full_path


